<?php

if (isset($title) && $title != '') {

	$content_fire_content .= '<div class="col-md-12 text-center">';
		$content_fire_content .= '<h2 class="' . NNRobots_Content_Fire::$prefix_dash . 'title">' . html_entity_decode(do_shortcode($title)) . '</h2>';
	$content_fire_content .= '</div>';

}

do_action('nnr_cf_after_header');
do_action('nnr_cf_after_header_' . $val['id']);

if (isset($text) && $text != '') {

	$content_fire_content .= '<div class="col-md-12 text-center">';
		$content_fire_content .= '<p class="' . NNRobots_Content_Fire::$prefix_dash . 'text">' . html_entity_decode(do_shortcode($text)) . '</p>';
	$content_fire_content .= '</div>';

}

$image_attributes = wp_get_attachment_image_src($image, 'full'); // returns an array

if( $image_attributes ) {
	$image_src = $image_attributes[0];
	$content_fire_content .= '<div class="col-md-6 ' . NNRobots_Content_Fire::$prefix_dash . 'image">';
		$content_fire_content .= '<img src="' . $image_src . '"/>';
	$content_fire_content .= '</div>';
}/*
 else {
	$image_src = NNROBOTS_CONTENT_FIRE_PLUGIN_URL . '/img/template-default-images/newsletter_signup_box.jpg';
}
*/

// Button Link

if ($template['args']['call_to_action'] == 'button') {

	$content_fire_content .= '<div class="col-md-6 text-center">';

		if (isset($template['args']['link_type']) && $template['args']['link_type'] == 'text') {
			$content_fire_content .= '<a style="color: ' . $template['args']['link_text_color'] . '" class="' . NNRobots_Content_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . ' ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
				$content_fire_content .= $template['args']['link_name'];
			$content_fire_content .= '</a>';
		} else {
			$content_fire_content .= '<a role="button" style="background-color: ' . $template['args']['link_button_color'] . '; color: ' . $template['args']['link_text_color'] . '" class="btn btn-' . $style['button_shape'] . ' ' . NNRobots_Content_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . ' ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
				$content_fire_content .= $template['args']['link_name'];
			$content_fire_content .= '</a>';
		}

	$content_fire_content .= '</div>';

}

// Newsletter

else if ($template['args']['call_to_action'] == 'newsletter') {

	$content_fire_content .= '<div class="col-md-6 ' . NNRobots_Content_Fire::$prefix_dash . 'form-container">';

		if ($news_letter_type == 'WordPress' ||
			$news_letter_type == 'MailChimp' ||
			$news_letter_type == 'aweber' ||
			$news_letter_type == 'getresponse' ||
			$news_letter_type == 'campaignmonitor' ||
			$news_letter_type == 'madmimi' ||
			$news_letter_type == 'infusionsoft' ||
			$news_letter_type == 'mymail' ||
			$news_letter_type == 'activecampaign') {

			$content_fire_content .= '<form class="' . NNRobots_Content_Fire::$prefix_dash . 'newsletter" method="post" role="form" novalidate="true">';

				if (isset($news_letter['first_name']) && $news_letter['first_name']) {

					$content_fire_content .= '<div class="form-group col-md-12">';
						$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'first-name" type="text" class="' . NNRobots_Content_Fire::$prefix_dash . 'first-name form-control form-control-' . $style['button_shape'] . '" placeholder="' . ( isset($news_letter['first_name_placeholder']) && $news_letter['first_name_placeholder'] != '' ? $news_letter['first_name_placeholder'] : 'First Name') . '"/>';
					$content_fire_content .= '</div>';

				}

				if (isset($news_letter['last_name']) && $news_letter['last_name']) {

					$content_fire_content .= '<div class="form-group col-md-12">';
						$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'last-name" type="text" class="' . NNRobots_Content_Fire::$prefix_dash . 'last-name form-control form-control-' . $style['button_shape'] . '"  placeholder="' . ( isset($news_letter['last_name_placeholder']) && $news_letter['last_name_placeholder'] != '' ? $news_letter['last_name_placeholder'] : 'Last Name') . '"/>';
					$content_fire_content .= '</div>';

				}

				$content_fire_content .= '<div class="form-group col-md-12">';
					$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'email" type="email" class="' . NNRobots_Content_Fire::$prefix_dash . 'email form-control form-control-' .  $style['button_shape'] . '" placeholder="' . ( isset($news_letter['email_placeholder']) && $news_letter['email_placeholder'] != '' ? $news_letter['email_placeholder'] : 'Email') . '""/>';
				$content_fire_content .= '</div>';

				$content_fire_content .= '<p class="' . NNRobots_Content_Fire::$prefix_dash . 'newsletter-type hidden" data-newsletter-type="' . $news_letter_type . '" type="text"></p>';

				$content_fire_content .= '<div class="form-group col-md-12 text-center">';

					$content_fire_content .= '<button type="submit" class="' . NNRobots_Content_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

						if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before') {
							$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
						}

						$content_fire_content .= $news_letter['button_text'];

						if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after') {
							$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
						}

					$content_fire_content .= '</button>';

				$content_fire_content .= '</div>';

				$content_fire_content .= '<div class="col-xs-12 text-center">';
					$content_fire_content .= '<label class="hidden ' . NNRobots_Content_Fire::$prefix_dash . 'message"></label>';
				$content_fire_content .= '</div>';
			$content_fire_content .= '</form>';
		}

		if ($news_letter_type == 'feedburner') {

			$content_fire_content .= '<form class="' . NNRobots_Content_Fire::$prefix_dash . 'form" role="form" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="optinfirewindow" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');return true">';

				$content_fire_content .= '<div class="form-group col-md-12">';
					$content_fire_content .= '<input type="mailinput" class="form-control" name="email" placeholder="' . ( isset($news_letter['email_placeholder']) && $news_letter['email_placeholder'] != '' ? $news_letter['email_placeholder'] : 'Email') . '""/>';
				$content_fire_content .= '</div>';

				// Subcribe button

				$content_fire_content .= '<div class="form-group col-md-12 text-center">';

					$content_fire_content .= '<button type="submit" class="' . NNRobots_Content_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

						if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before') {
							$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
						}

						$content_fire_content .= $news_letter['button_text'];

						if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after') {
							$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
						}

					$content_fire_content .= '</button>';

				$content_fire_content .= '</div>';

				$content_fire_content .= '</form>';
				$content_fire_content .= '<script type="text/javascript">
				jQuery(document).ready(function($){
					$(".' . NNRobots_Content_Fire::$prefix_dash . '-form").submit(function(e){
						e.preventDefault();
						window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');
						return true;
					});
				});';
			$content_fire_content .= '</script>';
		}

	$content_fire_content .= '</div>';
}

// Contact Us

else if ($template['args']['call_to_action'] == 'contact-us') {

	$content_fire_content .= '<div class="col-md-6 ' . NNRobots_Content_Fire::$prefix_dash . 'form-container">';

		$content_fire_content .= '<form class="' . NNRobots_Content_Fire::$prefix_dash . 'contact-us ' . NNRobots_Content_Fire::$prefix_dash . 'form" method="post" role="form" novalidate="true">';

		// Email

		$content_fire_content .= '<div class="form-group col-md-12">';

			$content_fire_content .= '<input id="' . NNRobots_Content_Fire::$prefix_dash . 'email" name="' . NNRobots_Content_Fire::$prefix_dash . 'email" type="text" class="form-control form-control-' . $style['button_shape'] . '" placeholder="' . $template['args']['contact_us']['email_placeholder'] . '"/>';

		$content_fire_content .= '</div>';

		// Subject

		$content_fire_content .= '<div class="form-group col-md-12">';

			$content_fire_content .= '<input id="' . NNRobots_Content_Fire::$prefix_dash . 'subject" name="' . NNRobots_Content_Fire::$prefix_dash . 'subject" type="text" class="form-control form-control-' . $style['button_shape'] . '" placeholder="' . $template['args']['contact_us']['subject_placeholder'] . '"/>';

		$content_fire_content .= '</div>';

		// Message

		$content_fire_content .= '<div class="form-group col-md-12">';

			$content_fire_content .= '<textarea id="' . NNRobots_Content_Fire::$prefix_dash . 'email-message" name="' . NNRobots_Content_Fire::$prefix_dash . 'email-message" class="form-control form-control-' . $style['button_shape'] . '" placeholder="' . $template['args']['contact_us']['message_placeholder'] . '" rows="3"></textarea>';

		$content_fire_content .= '</div>';

		// Button

		$content_fire_content .= '<input id="' . NNRobots_Content_Fire::$prefix_dash . 'send" name="' . NNRobots_Content_Fire::$prefix_dash . 'send" type="text" style="display:none;" value="' . $template['args']['contact_us']['email'] . '"/>';

		$content_fire_content .= '<div class="form-group col-md-12">';

		$content_fire_content .= '<button type="submit" class="form-control ' . NNRobots_Content_Fire::$prefix_dash . 'contact-us-button btn btn-' . $style['button_shape'] . '" id="' . NNRobots_Content_Fire::$prefix_dash . 'submit" name="' . NNRobots_Content_Fire::$prefix_dash . 'submit">';

			if (isset($template['args']['contact_icon_place']) && $template['args']['contact_icon_place'] == 'before') {
				$content_fire_content .= '<i style="padding-right: 8px;" class="fa ' . $template['args']['contact_icon'] . '"></i>';
			}

			$content_fire_content .= $template['args']['contact_us']['button_text'];

			if (isset($template['args']['contact_icon_place']) && $template['args']['contact_icon_place'] == 'after') {
				$content_fire_content .= '<i style="padding-left: 8px;" class="fa ' . $template['args']['contact_icon'] . '"></i>';
			}

		$content_fire_content .= '</button>';

		$content_fire_content .= '</div>';

		// Success Message

		$content_fire_content .= '<label for="' . NNRobots_Content_Fire::$prefix_dash . 'message" class="hidden ' . NNRobots_Content_Fire::$prefix_dash . 'message"></label>
	</form>';

	$content_fire_content .= '</div>';

}